Bug 399126 - Warn users that images from external wallpaper providers might have NSFW content
Summary: Warn users that images from external wallpaper providers might have NSFW content
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Plasma
Component: Picture of the Day (show other bugs)
Version: 5.13.5
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-27 06:00 UTC by gbr
Modified: 2023-01-13 15:44 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gbr 2018-09-27 06:00:03 UTC
SUMMARY
Today's image from "Wikimedia Picture of the Day" contains nudity [1]. I discovered that because I was browsing some NSFW content in my web browser and I head somebody coming behind me, so I hit the shortcut to minimize all windows and BAM! Titties all over the place on my Desktop as well.


STEPS TO REPRODUCE
1. Change the Wallpaper provider to "Wikimedia Picture of the Day"
2. Wait for tits.


OBSERVED RESULT
Tits

EXPECTED RESULT
Still tits, but maybe a big fat warning should be added explaining the consequences of using such image providers?

SOFTWARE VERSIONS
KDE Plasma Version: 5.13.5
KDE Frameworks Version: 5.50.0
Qt Version: 5.11.2

ADDITIONAL INFORMATION
If it was not clear, I'm joking about the whole situation, I wasn't bothered by it at all. But I see how troublesome it can be. Wikimedia already has a template for tagging submitted NSFW images [2] (and I don't know if KDE already checks for that), but either way, this particular image wasn't even tagged. So whilst there's a solution for tagging NSFW images, sometimes people won't use it. A warning should be enough, IMHO. Thanks!

References:

[1] https://commons.wikimedia.org/wiki/Template:Potd/2018-09-27
[2] https://commons.wikimedia.org/wiki/Commons:Featured_picture_candidates#Table_of_contents
Comment 1 Kai Uwe Broulik 2018-09-27 10:49:56 UTC
From what I know we do not check for the Nsfw tag/category in wikimedia potd provider.
Adding a text label warning of that could be trivially added added. [1]

[1] https://cgit.kde.org/kdeplasma-addons.git/tree/wallpapers/potd/contents/ui/config.qml#n63
Comment 2 Nate Graham 2022-03-29 20:56:12 UTC
We could also filter out NSFW images by checking for that tag. I think the desktop is probably a semi-dangerous place for NSFW images to randomly appear without warning, so that's reasonable IMO. :)
Comment 3 Bug Janitor Service 2022-06-20 16:21:00 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/180
Comment 4 Fushan Wen 2023-01-13 15:44:03 UTC
Git commit 4c5beee31c6d0fcf8388616c70104b45a6a95b6c by Fushan Wen.
Committed on 13/01/2023 at 15:44.
Pushed by fusionfuture into branch 'master'.

wallpapers/potd: show prompt when images from external wallpaper providers might have NSFW content
FIXED-IN: 5.26

M  +20   -10   wallpapers/potd/package/contents/ui/config.qml
M  +9    -0    wallpapers/potd/plugins/potdprovidermodel.cpp
M  +2    -0    wallpapers/potd/plugins/potdprovidermodel.h
M  +2    -1    wallpapers/potd/plugins/providers/wcpotdprovider.json

https://invent.kde.org/plasma/kdeplasma-addons/commit/4c5beee31c6d0fcf8388616c70104b45a6a95b6c